searchNodes=[{"doc":"ExBovespa helps retrieving stocks data from bovespa website by webscraping their HTML data","ref":"ExBovespa.html","title":"ExBovespa","type":"module"},{"doc":"Returns a list of all brokers from bovespa website.This resource on bovespa's website uses pagination, so each html request and parser will return a list of items and paging information, that will be used to loop until all pages are visited.Exampleiex&gt; ExBovespa.broker_list() {:ok, [ %Broker{} ]}","ref":"ExBovespa.html#broker_list/0","title":"ExBovespa.broker_list/0","type":"function"},{"doc":"Returns a list of all stocks from bovespa website.While running tests on development environment, it took more than 1min 30s to load the entire list of currently availble stocks on B3.Exampleiex&gt; ExBovespa.stock_list() {:ok, [ %Stock{} ]}","ref":"ExBovespa.html#stock_list/0","title":"ExBovespa.stock_list/0","type":"function"},{"doc":"Retrieves data from B3&quot;s website on brokers path","ref":"ExBovespa.Adapters.B3.html","title":"ExBovespa.Adapters.B3","type":"module"},{"doc":"Do a post request on list page with needed parameters for pagination","ref":"ExBovespa.Adapters.B3.html#get_company_list_by_page/1","title":"ExBovespa.Adapters.B3.get_company_list_by_page/1","type":"function"},{"doc":"Defines the functions implemented by B3 adapter","ref":"ExBovespa.Adapters.B3Behaviour.html","title":"ExBovespa.Adapters.B3Behaviour","type":"behaviour"},{"doc":"","ref":"ExBovespa.Adapters.B3Behaviour.html#c:get_company_list_by_page/1","title":"ExBovespa.Adapters.B3Behaviour.get_company_list_by_page/1","type":"callback"},{"doc":"Retrieves data from Bovespa's website on listed companies path","ref":"ExBovespa.Adapters.Bovespa.html","title":"ExBovespa.Adapters.Bovespa","type":"module"},{"doc":"Receives the code for a stock and access its details page","ref":"ExBovespa.Adapters.Bovespa.html#get_item/1","title":"ExBovespa.Adapters.Bovespa.get_item/1","type":"function"},{"doc":"Gets data on index of listed companies page and returns the hole HTML structure","ref":"ExBovespa.Adapters.Bovespa.html#get_list/0","title":"ExBovespa.Adapters.Bovespa.get_list/0","type":"function"},{"doc":"Defines the functions implemented by Bovespa adapter","ref":"ExBovespa.Adapters.BovespaBehaviour.html","title":"ExBovespa.Adapters.BovespaBehaviour","type":"behaviour"},{"doc":"","ref":"ExBovespa.Adapters.BovespaBehaviour.html#c:get_item/1","title":"ExBovespa.Adapters.BovespaBehaviour.get_item/1","type":"callback"},{"doc":"","ref":"ExBovespa.Adapters.BovespaBehaviour.html#c:get_list/0","title":"ExBovespa.Adapters.BovespaBehaviour.get_list/0","type":"callback"},{"doc":"Functions that implement facilities for working with strings","ref":"ExBovespa.Helpers.StringHelper.html","title":"ExBovespa.Helpers.StringHelper","type":"module"},{"doc":"Removes line breaks and repeated blanks from strings","ref":"ExBovespa.Helpers.StringHelper.html#remove_blank_spaces/1","title":"ExBovespa.Helpers.StringHelper.remove_blank_spaces/1","type":"function"},{"doc":"Parses each table item representing a broker name, code and image.Also returns the pagination information such as total pages and current page.","ref":"ExBovespa.Parsers.BrokerListHtml.html","title":"ExBovespa.Parsers.BrokerListHtml","type":"module"},{"doc":"Receives the html structure from a page from broker lst and returns the list of items","ref":"ExBovespa.Parsers.BrokerListHtml.html#parse/1","title":"ExBovespa.Parsers.BrokerListHtml.parse/1","type":"function"},{"doc":"Module that interprets HTML syntax into a struct of important data","ref":"ExBovespa.Parsers.StockDetailHtml.html","title":"ExBovespa.Parsers.StockDetailHtml","type":"module"},{"doc":"Receives a HTML tree and finds the table lines corresponding to each stock code for current company, then updates the given stock struct with StockDetail list","ref":"ExBovespa.Parsers.StockDetailHtml.html#parse/2","title":"ExBovespa.Parsers.StockDetailHtml.parse/2","type":"function"},{"doc":"Module that interprets HTML syntax into a list of elements on a table","ref":"ExBovespa.Parsers.StockListHtml.html","title":"ExBovespa.Parsers.StockListHtml","type":"module"},{"doc":"Receives a HTML tree and finds the table lines corresponding to each listed company row then retrieves the company code, its name and its short name","ref":"ExBovespa.Parsers.StockListHtml.html#parse/1","title":"ExBovespa.Parsers.StockListHtml.parse/1","type":"function"},{"doc":"Holds the data related to a broker","ref":"ExBovespa.Structs.Broker.html","title":"ExBovespa.Structs.Broker","type":"module"},{"doc":"","ref":"ExBovespa.Structs.Broker.html#t:t/0","title":"ExBovespa.Structs.Broker.t/0","type":"type"},{"doc":"Holds the data related to a stock's company.company_code: a primary code for the stock, helpful for accessing the details page name: full stock name short_name: known name for this company","ref":"ExBovespa.Structs.Stock.html","title":"ExBovespa.Structs.Stock","type":"module"},{"doc":"","ref":"ExBovespa.Structs.Stock.html#t:t/0","title":"ExBovespa.Structs.Stock.t/0","type":"type"},{"doc":"Holds data for a stock details and is a child of &quot;Stock&quot; struct.This is isolated from main struct since a company can have multiple stock codes.","ref":"ExBovespa.Structs.StockDetail.html","title":"ExBovespa.Structs.StockDetail","type":"module"},{"doc":"","ref":"ExBovespa.Structs.StockDetail.html#t:t/0","title":"ExBovespa.Structs.StockDetail.t/0","type":"type"}]